手动升级 Confluence – 开始升级之前

在本指南中,我们将会帮助你使用 zip / tar.gz 文件将你的 Confluence 安装实例在 Windows 或者 Linux 版本中升级到最新的版本。

升级到任何最新的版本都是免费的,如果你具有当前的软件维护许可证的话。请参考我们的 Licensing FAQ 来找到更多的信息。

对 Confluence 进行升级的其他方法:

XML 备份文件 不应该 应用到 Confluence 的升级中。

在你对 Confluence 进行升级之前,你需要询问一下下面的问题。

手动升级的方式是否适合你?
 告诉我更多…
你可以选择使用安装程序,zip 或者 tar.gz 文件进行升级。在大部分情况下,使用安装程序为升级你 Confluence 安装实例最简便的方法。如果你遇到了下面的情况,那么你需要手动进行升级了:

  • 你现在移动到其他的操作系统或者文件的路径属于本次升级的一部分。
  • 你正在从 Confluence 3.5 或者早期版本上进行升级。
  • 你正在从 Confluence 5.6 或者早期版本上进行升级,但是这些早期版本使用的是 EAR/WAR 分发包来进行部署到一个已经存在的应用服务器上的。
你的系统可以进行升级吗?
 告诉我更多…
希望对你当前运行 Confluence 的实例的许可证是否当前,你可以进入  > 基本配置(General Configuration) > 问题检查和支持工具(Troubleshooting and support tools) 来确定你的许可证支持是否过期了。

  1. 软件维护(Software maintenance):在这个时间区间内进行升级。

如果你的许可证支持以及过期了,请在对 Confluence 进行升级之前按照提示的步骤来对许可证进行更新。

我们支持的平台是否被修改了?
 告诉我更多…

请查看 Supported Platforms 页面中的内容来获得你升级的 Confluence 支持的平台。在这个页面中我们给出了 Confluence 支持的操作系统,数据库和浏览器。

你应该了解:

  • 如果你需要对你的 Java 进行升级,请记住更新你的的 JAVA_HOME 变量到新的版本路径。
  • Confluence 的安装器中包含有 Tomcat,因此你不需要单独安装新的 Tomcat。
  • 如果你需要对你的数据库也进行升级的话,请确定将你的数据库升级到 Confluence 支持的数据库版本(或者任何之间的版本)。并且确定对数据库进行必要的修改。
你需要对环境进行修改吗?
 告诉我更多…
更新的 Confluence 版本有时候需要要求修改你的环境,例如提供更多的内存或者调整反向代理设置。

你应该了解:

我们使用 升级日志 来告诉你 Confluence 的升级版本将会对你产生什么影响,例如:

  • 修改支持的数据库,内存的需求,和其他的修改将会影响到你的 Confluence 运行环境。
  • Confluence 将会进行的重大修改和从这次发行版本中删除的内容。
  • 当你升级完成后,你应该对你 Confluence 安装实例马上进行的操作。

针对你进行升级的 Confluence 版本之间,这些信息是非常重要的,你应该有所了解。例如,如果你从 Confluence 的 5.8 版本升级到 5.10 版本,你应该阅读 Confluence 5.9 和 5.10 版本的发行备注。

 

https://www.cwiki.us/display/CONF6ZH/Upgrading+Confluence+Manually

您可以在保留原文链接的情况下转载:HoneyMoose » 手动升级 Confluence – 开始升级之前

赞 (0) 打赏

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏